org.eclnt.jsfserver.elements

## Class XMLNode

- java.lang.Object
- - org.eclnt.jsfserver.elements.XMLNode

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    XMLNodeContainingXML

      public class XMLNode
      extends java.lang.Object
      implements java.io.Serializable

  During the rendering processing the rendering is output into XMLNodes (using writer_* methods). Background this tree then can better optimize e.g. by identifying areas where nothing has changed at all.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMLNode(java.lang.String name)`
    `XMLNode(java.lang.String name, boolean isNewNode, XMLNode parent)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAttributeValue(java.lang.String attributeName, java.lang.String attributeValue)`
    `void` | `addText(java.lang.String text)`
    `java.lang.String` | `getAttributeValue(java.lang.String attributeName)`
    `java.util.List<XMLNode>` | `getChildren()`
    `java.lang.String` | `getName()`
    `void` | `markAsChanged(boolean fromParentOn)`
    `void` | `writeSubNodesToWriter(java.io.Writer writer)`
    `void` | `writeToWriter(java.io.Writer writer)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMLNode

          public XMLNode(java.lang.String name)

    - #### XMLNode

          public XMLNode(java.lang.String name,
                         boolean isNewNode,
                         XMLNode parent)

  - ### Method Detail

    - #### getChildren

          public java.util.List<XMLNode> getChildren()

    - #### getName

          public java.lang.String getName()

    - #### getAttributeValue

          public java.lang.String getAttributeValue(java.lang.String attributeName)

    - #### addAttributeValue

          public void addAttributeValue(java.lang.String attributeName,
                                        java.lang.String attributeValue)

    - #### addText

          public void addText(java.lang.String text)

    - #### writeSubNodesToWriter

          public void writeSubNodesToWriter(java.io.Writer writer)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### writeToWriter

          public void writeToWriter(java.io.Writer writer)
                             throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### markAsChanged

          public void markAsChanged(boolean fromParentOn)

Copyright © CaptainCasa Gmbh. All Rights Reserved.